Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class XaTransactedJmsMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractTransportMessageHandler
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.AbstractPollingMessageReceiver
                  org.mule.transport.TransactedPollingMessageReceiver
                      org.mule.transport.jms.XaTransactedJmsMessageReceiver

All Implemented Interfaces:
  Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageSource, Connectable, MessageReceiver

Direct Known Subclasses:
  WebsphereTransactedJmsMessageReceiver

    public class XaTransactedJmsMessageReceiver

extends TransactedPollingMessageReceiver

Nested Class Summary
`protected static class` | `XaTransactedJmsMessageReceiver.JmsThreadContext` Holder receiving the session and consumer for this thread.
`protected static class` | `XaTransactedJmsMessageReceiver.ThreadContextLocal` Strongly typed ThreadLocal for ThreadContext.

Nested classes/interfaces inherited from class org.mule.transport.TransactedPollingMessageReceiver
`TransactedPollingMessageReceiver.MessageProcessorWorker`

Field Summary
`protected JmsConnector` | `connector`
`protected XaTransactedJmsMessageReceiver.ThreadContextLocal` | `context`
`static long` | `DEFAULT_JMS_POLL_FREQUENCY`
`static edu.emory.mathcs.backport.java.util.concurrent.TimeUnit` | `DEFAULT_JMS_POLL_TIMEUNIT`
`protected boolean` | `reuseConsumer`
`protected boolean` | `reuseSession`
`protected long` | `timeout`

Fields inherited from class org.mule.transport.AbstractPollingMessageReceiver
`DEFAULT_POLL_FREQUENCY, DEFAULT_POLL_TIMEUNIT, DEFAULT_STARTUP_DELAY, schedules`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`defaultInboundTransformers, defaultResponseTransformers, flowConstruct, listener, receiverKey`

Fields inherited from class org.mule.transport.AbstractTransportMessageHandler
`connected, connecting, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`XaTransactedJmsMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint)`

Method Summary
`protected void` | `closeResource(boolean force)` Close Sesison and consumer
`protected MessageConsumer` | `createConsumer()` Create a consumer for the jms destination
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispose()`
`protected List<MuleMessage>` | `getMessages()`
`void` | `poll()` The poll method is overriden from the `TransactedPollingMessageReceiver`
`protected void` | `processMessage(Object msg)`

Methods inherited from class org.mule.transport.TransactedPollingMessageReceiver
`doStart, isReceiveMessagesInTransaction, isUseMultipleTransactedReceivers, setReceiveMessagesInTransaction, setUseMultipleTransactedReceivers`

Methods inherited from class org.mule.transport.AbstractPollingMessageReceiver
`createWork, disableNativeScheduling, doStop, getFrequency, getTimeUnit, schedule, setFrequency, setTimeUnit, unschedule`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`applyInboundTransformers, applyResponseTransformers, createLifecycleManager, createMuleEvent, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getFlowConstruct, getReceiverKey, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setListener, setReceiverKey, toString`

Methods inherited from class org.mule.transport.AbstractTransportMessageHandler
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, getConnectEventId, getConnector, getLifecycleState, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageReceiver
`createMuleMessage, createMuleMessage`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### DEFAULT_JMS_POLL_FREQUENCY

    public static final long DEFAULT_JMS_POLL_FREQUENCY

See Also:
  Constant Field Values

### DEFAULT_JMS_POLL_TIMEUNIT

    public static final edu.emory.mathcs.backport.java.util.concurrent.TimeUnit DEFAULT_JMS_POLL_TIMEUNIT

### connector

    protected final JmsConnector connector

### reuseConsumer

    protected boolean reuseConsumer

### reuseSession

    protected boolean reuseSession

### context

    protected final XaTransactedJmsMessageReceiver.ThreadContextLocal context

### timeout

    protected final long timeout

Constructor Detail

### XaTransactedJmsMessageReceiver

    public XaTransactedJmsMessageReceiver(Connector connector,
                                          FlowConstruct flowConstruct,
                                          InboundEndpoint endpoint)
                                   throws CreateException

Throws:
  `CreateException`

Method Detail

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractMessageReceiver`

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractTransportMessageHandler`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Overrides:
    `doDisconnect` in class `AbstractTransportMessageHandler`
  Throws:
    `Exception`

### poll

    public void poll()
              throws Exception

  The poll method is overriden from the `TransactedPollingMessageReceiver`

  Overrides:
    `poll` in class `TransactedPollingMessageReceiver`
  Throws:
    `Exception`

### getMessages

    protected List<MuleMessage> getMessages()
                                     throws Exception

  Specified by:
    `getMessages` in class `TransactedPollingMessageReceiver`
  Throws:
    `Exception`

### processMessage

    protected void processMessage(Object msg)
                           throws Exception

  Specified by:
    `processMessage` in class `TransactedPollingMessageReceiver`
  Throws:
    `Exception`

### closeResource

    protected void closeResource(boolean force)

  Close Sesison and consumer

### createConsumer

    protected MessageConsumer createConsumer()
                                      throws Exception

  Create a consumer for the jms destination

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.